import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:fl_update_apk_pl/fl_update_apk_pl.dart';

void main() {
  const MethodChannel channel = MethodChannel('fl_update_apk_pl');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlUpdateApkPl.platformVersion, '42');
  });
}
